// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyCt-GTVco45vVyrMj2EHAvS_N7Zmz4jhtk',
    appId: '1:976423387565:web:9566ab78b02ccc6c5ee124',
    messagingSenderId: '976423387565',
    projectId: 'vivatech-assignment',
    authDomain: 'vivatech-assignment.firebaseapp.com',
    storageBucket: 'vivatech-assignment.appspot.com',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyC0TONcGu1qnlOBy3DM2MT2740ZczTJE30',
    appId: '1:976423387565:android:ccbaa9be3a407c5a5ee124',
    messagingSenderId: '976423387565',
    projectId: 'vivatech-assignment',
    storageBucket: 'vivatech-assignment.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyDP-7xk5xFPMWa_KDztaTg2ZnR2NX93MnA',
    appId: '1:976423387565:ios:5013e6aab39b55e85ee124',
    messagingSenderId: '976423387565',
    projectId: 'vivatech-assignment',
    storageBucket: 'vivatech-assignment.appspot.com',
    iosClientId: '976423387565-p578972h327u8dds5rnoi3qrf3ldc5oj.apps.googleusercontent.com',
    iosBundleId: 'com.example.vivatechAssignment',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyDP-7xk5xFPMWa_KDztaTg2ZnR2NX93MnA',
    appId: '1:976423387565:ios:5013e6aab39b55e85ee124',
    messagingSenderId: '976423387565',
    projectId: 'vivatech-assignment',
    storageBucket: 'vivatech-assignment.appspot.com',
    iosClientId: '976423387565-p578972h327u8dds5rnoi3qrf3ldc5oj.apps.googleusercontent.com',
    iosBundleId: 'com.example.vivatechAssignment',
  );
}
